server:
  contextPath:
  port: 8099
  sessionTimeout:  300
local:
  server:
    port: 8099
  application:
    name: HosBrokerServer
security:
  basic:
    enabled: false
# the name of Camel
camel:
  springboot:
    name: HosBrokerServer

# how often to trigger the timer, must less than 30s
timer:
  period: 10000

---
spring:
  profiles: dev
  datasource:
    driverClassName: com.mysql.jdbc.Driver
    url: jdbc:mysql://172.19.103.71:3306/esb?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true
    username: hos
    password: hos
    test-on-borrow: true
    validation-query: SELECT 1
    test-while-idle: true
    max-active: 30
    default-auto-commit: true
    max-idle: 30
    min-idle: 10
    initial-size: 10
  activemq:
      broker-url: tcp://172.19.103.86:61616
      user: admin
      password: admin
  data:
    mongodb:
      host: 172.19.103.86
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      database: log
  gateway:
    ip: localhost
    port: 8066
hos:
  arbiter:
    enable: false
    url: http://localhost:10135
  timer:
      period: 10000


---
spring:
  profiles: test
  datasource:
      driverClassName: com.mysql.jdbc.Driver
      url: jdbc:mysql://172.19.103.71:3306/esb?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true
      username: hos
      password: hos
      test-on-borrow: true
      validation-query: SELECT 1
      test-while-idle: true
      max-active: 30
      default-auto-commit: true
      max-idle: 30
      min-idle: 10
      initial-size: 10
  activemq:
      broker-url: tcp://172.19.103.86:61616
      user: admin
      password: admin
  data:
    mongodb:
      host: 172.19.103.86
      port: 27017
      username: esb
      password: esb
      authenticationDatabase: admin
      database: log
  gateway:
    ip: localhost
    port: 8066
hos:
  arbiter:
    enable: false
    url: http://172.19.103.89:10135
  timer:
      period: 10000
---
application:
  message: ESB Broker
